<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 09/12/2004 *
 * ================                             Last change: 09/12/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-config_extensions.php                       *
 * -------------------------------------------------------------------- *
 * Short description : Configuration for the extension system           *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Konfiguration des Erweiterungs-Management        *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!IS_ADMIN())) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
}

// Add description as navigation point
ADD_DESCR("admin", __FILE__);

if (isset($_POST['ok'])) {
	// Save configuration
	ADMIN_SAVE_SETTINGS($_POST);
} else {
	// Prepare data
	switch ($_CONFIG['verbose_sql']) {
		case 'Y':
			define('__VERBOSE_Y', " checked=\"checked\"");
			define('__VERBOSE_N', "");
			break;

		case 'N':
			define('__VERBOSE_Y', "");
			define('__VERBOSE_N', " checked=\"checked\"");
			break;
	}

	// Load template
	LOAD_TEMPLATE("admin_config_extensions");

}

//
?>
